libwpd: WP3Listener Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WP3Listener Class Reference

`#include <WP3Listener.h>`

Inheritance diagram for WP3Listener:

List of all members.

## Public Member Functions
| WP3Listener (std::vector< WPXPageSpan * > *pageList, WPXHLListenerImpl *listenerImpl)
virtual | ~WP3Listener ()
virtual void | setAlignmentCharacter (const uint16_t character)
virtual void | setLeaderCharacter (const uint16_t character, const uint8_t numberOfSpaces)
virtual void | defineTabStops (const bool isRelative, const std::vector< WPXTabStop > &tabStops, const std::vector< bool > &usePreWP9LeaderMethods)
virtual void | insertCharacter (const uint16_t character)
virtual void | insertTab (const uint8_t tabType, const float tabPosition)
virtual void | handleLineBreak ()
virtual void | insertEOL ()
virtual void | attributeChange (const bool isOn, const uint8_t attribute)
virtual void | spacingAfterParagraphChange (const float spacingRelative, const float spacingAbsolute)
virtual void | pageMarginChange (const uint8_t side, const uint16_t margin)
virtual void | pageFormChange (const uint16_t length, const uint16_t width, const WPXFormOrientation orientation, const bool isPersistent)
virtual void | marginChange (const uint8_t side, const uint16_t margin)
virtual void | paragraphMarginChange (const uint8_t side, const int16_t margin)
virtual void | indentFirstLineChange (const int16_t offset)
virtual void | columnChange (const WPXTextColumnType columnType, const uint8_t numColumns, const std::vector< float > &columnWidth, const std::vector< bool > &isFixedWidth)
virtual void | endDocument ()
virtual void | defineTable (const uint8_t position, const uint16_t leftOffset)
virtual void | addTableColumnDefinition (const uint32_t width, const uint32_t leftGutter, const uint32_t rightGutter, const uint32_t attributes, const uint8_t alignment)
virtual void | startTable ()
virtual void | insertRow ()
virtual void | insertCell ()
virtual void | closeCell ()
virtual void | closeRow ()
virtual void | setTableCellSpan (const uint16_t colSpan, const uint16_t rowSpan)
virtual void | setTableCellFillColor (const RGBSColor *cellFillColor)
virtual void | endTable ()
virtual void | undoChange (const uint8_t undoType, const uint16_t undoLevel)
virtual void | justificationChange (const uint8_t justification)
virtual void | setTextColor (const RGBSColor *fontColor)
virtual void | setTextFont (const std::string fontName)
virtual void | setFontSize (const uint16_t fontSize)
virtual void | insertNoteReference (const std::string noteReference)
virtual void | insertNote (const WPXNoteType noteType, const WP3SubDocument *subDocument)
## Protected Member Functions
virtual void | _handleSubDocument (const WPXSubDocument *subDocument, const bool isHeaderFooter, WPXTableList tableList, int nextTableIndice=0)
virtual void | _openParagraph ()
## Private Member Functions
void | _flushText ()
void | _changeList ()
## Private Attributes
WP3ParsingState * | m_parseState

## Constructor & Destructor Documentation

WP3Listener::WP3Listener | ( | std::vector< WPXPageSpan * > * | pageList,
|  | WPXHLListenerImpl * | listenerImpl
| ) |

WP3Listener::~WP3Listener | ( |  | ) | `[virtual]`

## Member Function Documentation

void WP3Listener::_changeList | ( |  | ) | `[inline, private, virtual]`

| Implements WPXListener.

void WP3Listener::_flushText | ( |  | ) | `[private, virtual]`

| Implements WPXListener.

void WP3Listener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | const bool | isHeaderFooter,
|  | WPXTableList | tableList,
|  | int | nextTableIndice = `0`
| ) | `[protected, virtual]`

| Implements WPXListener.

void WP3Listener::_openParagraph | ( |  | ) | `[protected, virtual]`

| Reimplemented from WPXListener.

void WP3Listener::addTableColumnDefinition | ( | const uint32_t | width,
|  | const uint32_t | leftGutter,
|  | const uint32_t | rightGutter,
|  | const uint32_t | attributes,
|  | const uint8_t | alignment
| ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

void WP3Listener::attributeChange | ( | const bool | isOn,
|  | const uint8_t | attribute
| ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

void WP3Listener::closeCell | ( |  | ) | `[virtual]`

| Reimplemented in WP3StylesListener.

void WP3Listener::closeRow | ( |  | ) | `[virtual]`

| Reimplemented in WP3StylesListener.

void WP3Listener::columnChange | ( | const WPXTextColumnType | columnType,
|  | const uint8_t | numColumns,
|  | const std::vector< float > & | columnWidth,
|  | const std::vector< bool > & | isFixedWidth
| ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

void WP3Listener::defineTable | ( | const uint8_t | position,
|  | const uint16_t | leftOffset
| ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

virtual void WP3Listener::defineTabStops | ( | const bool | isRelative,
|  | const std::vector< WPXTabStop > & | tabStops,
|  | const std::vector< bool > & | usePreWP9LeaderMethods
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

void WP3Listener::endDocument | ( |  | ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

void WP3Listener::endTable | ( |  | ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

virtual void WP3Listener::handleLineBreak | ( |  | ) | `[inline, virtual]`

| Implements WPXListener.

void WP3Listener::indentFirstLineChange | ( | const int16_t | offset | ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

void WP3Listener::insertCell | ( |  | ) | `[virtual]`

void WP3Listener::insertCharacter | ( | const uint16_t | character | ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

void WP3Listener::insertEOL | ( |  | ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

void WP3Listener::insertNote | ( | const WPXNoteType | noteType,
|  | const WP3SubDocument * | subDocument
| ) | `[virtual]`

| Reimplemented in WP3StylesListener.

void WP3Listener::insertNoteReference | ( | const std::string | noteReference | ) | `[virtual]`

void WP3Listener::insertRow | ( |  | ) | `[virtual]`

void WP3Listener::insertTab | ( | const uint8_t | tabType,
|  | const float | tabPosition
| ) | `[virtual]`

| Implements WPXListener.

void WP3Listener::justificationChange | ( | const uint8_t | justification | ) | `[virtual]`

| Reimplemented from WPXListener. Reimplemented in WP3StylesListener.

void WP3Listener::marginChange | ( | const uint8_t | side,
|  | const uint16_t | margin
| ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

virtual void WP3Listener::pageFormChange | ( | const uint16_t | length,
|  | const uint16_t | width,
|  | const WPXFormOrientation | orientation,
|  | const bool | isPersistent
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

virtual void WP3Listener::pageMarginChange | ( | const uint8_t | side,
|  | const uint16_t | margin
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

virtual void WP3Listener::paragraphMarginChange | ( | const uint8_t | side,
|  | const int16_t | margin
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

virtual void WP3Listener::setAlignmentCharacter | ( | const uint16_t | character | ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

void WP3Listener::setFontSize | ( | const uint16_t | fontSize | ) | `[virtual]`

| Reimplemented in WP3StylesListener.

virtual void WP3Listener::setLeaderCharacter | ( | const uint16_t | character,
|  | const uint8_t | numberOfSpaces
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

void WP3Listener::setTableCellFillColor | ( | const RGBSColor * | cellFillColor | ) | `[virtual]`

void WP3Listener::setTableCellSpan | ( | const uint16_t | colSpan,
|  | const uint16_t | rowSpan
| ) | `[virtual]`

| Reimplemented in WP3StylesListener.

void WP3Listener::setTextColor | ( | const RGBSColor * | fontColor | ) | `[virtual]`

void WP3Listener::setTextFont | ( | const std::string | fontName | ) | `[virtual]`

| Reimplemented in WP3StylesListener.

virtual void WP3Listener::spacingAfterParagraphChange | ( | const float | spacingRelative,
|  | const float | spacingAbsolute
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

void WP3Listener::startTable | ( |  | ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP3StylesListener.

void WP3Listener::undoChange | ( | const uint8_t | undoType,
|  | const uint16_t | undoLevel
| ) | `[virtual]`

## Member Data Documentation

WP3ParsingState* WP3Listener::m_parseState`[private]`

The documentation for this class was generated from the following files:

- WP3Listener.h
- WP3Listener.cpp